## fai 2.3.1

=== Makefile ===
include VERSION

DESTDIR=$(shell pwd)/debian/fai
DEB_HOST_ARCH=$(MACHTYPE)
DOCDIR=/usr/share/doc/fai
LIBDIR = $(DESTDIR)/usr/lib/fai
SHAREDIR = $(DESTDIR)/usr/share/fai
SCRIPTS = rcS_fai setup_harddisks install_packages faireboot start-stop-daemon dhclient-perl dhclient-script fcopy ftar mount2dir bootsector device2grub
SBIN_SCRIPTS = make-fai-nfsroot make-fai-bootfloppy fai-setup fcopy ftar bootsector
CONFFILES= apt.conf dhclient.conf fai_modules_off pxelinux.cfg

# files with variable KERNLEVERSION in it; this string will be substituted
KVERSION_FILES =  $(DESTDIR)/etc/fai/fai.conf $(SHAREDIR)/templates/class/DEFAULT.var $(SHAREDIR)/templates/class/ATOMCLIENT.var $(SHAREDIR)/templates/class/pittermaennche.var

all:
	$(MAKE) -C doc all

clean:
	$(MAKE) -C doc clean

veryclean: clean
	$(MAKE) -f debian/rules clean

install: 
	$(MAKE) -C doc install DOCDIR=$(DOCDIR)
	cd scripts ; install $(SBIN_SCRIPTS) $(DESTDIR)/usr/sbin
	cd scripts ; install $(SCRIPTS) $(LIBDIR)/sbin
	install -m644 lib/subroutines* $(SHAREDIR)
	install -m644 lib/Fai.pm $(DESTDIR)/usr/share/perl5/Debian
	cd conf ; install -m644 $(CONFFILES) $(SHAREDIR)/etc/
	install -m644 conf/fai.conf $(DESTDIR)/etc/fai/
	cp -a examples $(DESTDIR)/$(DOCDIR)
	cp -a utils templates $(SHAREDIR)
	cd $(SHAREDIR)/templates/scripts ; mv NETWORK1 NETWORK; mv DEFAULT1 DEFAULT
	perl -pi -e 's/_KERNELVERSION_/$(KERNELVERSION)/' $(KVERSION_FILES)
	perl -pi -e 's/FAIVERSIONSTRING/$(VERSIONSTRING)/' $(LIBDIR)/sbin/rcS_fai
	ln -fs installimage_3com $(DESTDIR)/boot/fai/bigfoot
	ln -fs installimage_3com $(DESTDIR)/boot/fai/ant01
	ln -fs installimage_3com $(DESTDIR)/boot/fai/atom_install

.PHONY: clean veryclean

=== doc/Makefile ===
FILES = fai-guide.sgml common.ent
docname = fai-guide
fdocname = $(docname).sgml
MISC_DOC = FAQ QUESTIONNAIRE classes_description.txt links.html changelog.old README*

%.html: %.sgml
	debiandoc2html $<

%.pdf: %.sgml
	debiandoc2latexpdf $<

%.ps: %.sgml
	debiandoc2latexps $<

%.txt: %.sgml
	debiandoc2text $<

postscript: fai-guide.ps

pdf: fai-guide.pdf

html: fai-guide.html

dvi: test
	debiandoc2latexdvi $(fdocname)

text: fai-guide.txt

test:
	nsgmls -wall -E20 -gues $(fdocname)

clean:
	rm -rf $(docname).txt $(docname).dvi $(docname).pdf $(docname).html $(docname).sasp *~ $(docname).texinfo $(docname).ps

print: dvi
	dvips -f $(docname) | lpr

install:
	cp -dRp $(FILES) $(docname)* $(DESTDIR)/$(DOCDIR)
	cp -p $(MISC_DOC) $(DESTDIR)/$(DOCDIR)

all: test pdf text html postscript

.PHONY: all dvi text html pdf test clean print postscript

=== debian/changelog ===
fai (2.3.1) unstable; urgency=low

  * bug fix in make-fai-bootfloppy, fcopy
  * first letter in description now uppercase (closes: #142017)
  * add option -m to make-fai-bootfloppy
  * save keymap to boottime.kmap.gz
  * add many comments to shell scripts
  * copy $loguserhome/.ssh/*.pub files to $NFSROOT/root/.ssh
  * packages from $addpackages are also installed to the system if
    they exist in $FAI/files/packages/
  * minor changes in package_config files
  * move task_confdir() to subroutines-linux
  * added create_resolv_conf(); code removed from task_confdir
  * jobsrunning() subroutine for linux and solaris added
  * faireboot: source fai.conf and subroutines-$OS_TYPE
  * subroutines-linux: additional way to determine all ethernet devices
  * move some packages from $NFSROOT_PACKAGES into make-fai-nfsroot
  * add more .ssh/ files to nfsroot
  * $FAI_SUBDIR renamed to $FAI_SHAREDIR
  * rcS_fai: add $osname
  * write some variabel definitions to $rcsfaivar (used for remote logins)
    
 -- Thomas Lange <lange@debian.org>  Tue, 16 Apr 2002 13:30:04 +0200

fai (2.3) unstable; urgency=low

  * default configurations are for Debian 3.0
  * add auto stanza to /etc/network/interfaces (closes: #114627)
  * now depends on debootstrap (closes: #128457)
  * set DEBIAN_FRONTEND to "noninteractive" (closes: #131855)
  * Fai.pm now copied to new location if woody in use (closes: #125839)
  * package upgrade does not remove nfsroot (closes: #123463)
  * many files: use $FAI instead of fixes /fai, config file moved to
    from /etc/fai.conf to /etc/fai/fai.conf
  * store log files to $LOGDIR (default to /tmp/fai), can be set in fai.conf
  * read also subroutines-$OS_TYPE file
  * fai.conf: moved to /etc/fai/fai.conf
    variables removed: FAI_ARCH, UTC (now in class/*.var), KERNELVERSION
    variables added: FAI, FAI_DEBOOTSTRAP_OPTS
  * make-fai-nfsroot sets up pxelinux environment
    automaticly determine kernel version; added get_kernel_version(),
    copies /etc/fai/.cvspass to nfsroot, can now write the floppy image to
    a file
    added call_with_stamp subroutine, for easy creation of stamps
    Tue Jan 29 20:19:27 CST 2002 -- Chad Walstrom <chad@debian.org>
    Added support to run script as a recovery operation.  This is a
    glue-script; we may as well provide the ability to fix problems and
    continue.  Changes include:
       - Adding a RUNDIR environment variable
       - A command line option "-r" for recover operations
       - logic tests and stampfiles to appropriate function calls
    Checked for existance of character file dev/boot255 before calling mknod.
    Checked for existance of $NFSROOT/proc/modules file before calling
    umount $NFSROOT/proc
    Recursively copies contents of /etc/fai/ directory (good if using CVS)
    Install $NFSROOT_PACKAGES in a second pass, to sidestep conflicts
    (e.g. so that ssh may replace rsh-client)
    Don't set up $LOGUSER's home directory if that variable is undefined
    add variable FAI_DEBOOTSTRAP_OPTS
  * conf/fai_modules_off: more modules turned off
  * call openvt with full shell path (closes: #134641)
  * hooks are also skipped if task is skipped
  * hooks that end in .source are sourced
  * class/*.mod file can now define variables
  * add ADAPTEC.mod file
  * apt/conf: set Assume-Yes "true" so apt-get (and tasksel) is noninteractive
  * lib/subroutines: /dev/ida/ and /dev/rd/ support in
    subroutine:umount_local_disks, added $netdevices_up, use $tfsab
    instead of fstab (for solaris support), /fai is now $FAI, mount shm
    file system if available, otherwise use normal ramdisk, strip comment lines
    when defining classes via scripts, added subroutine do_script,
    do_scriptss calls every script class/<classname>/S[0-9]* when class is
    not a file, execute all S[0-9]* scripts in a directory
    /fai/scripts/$class/, skip all comment lines when definig classes
    task_partition() call setup_harddisk only if no disk_var.sh exists
    defclass also sources all scripts class/S*.source
    add subroutines adddivert(), rmalldivert(); task_finish calls
    rmalldivert, task_sysinfo calls kudzu; save_log*() -maxdepth not
    needed for find, save_log*() now uses date and time for directory name;
    /tmp/fai now $LOGDIR, can be set in fai.conf; new cvs co code
  * templates/scripts: change NET and NETWORK examples; now called S10,
    S40 and located in directory /fai/scripts/NETWORK/
    BASE and DEFAULT moved to DEFAULT/S20 and DEFAULT/S01
  * setup_harddisk: raid support for /devc/rd, /dev/ida and cciss driver
    for Compaqs Smart Array Controllers, called with -d
  * doc/Makefile: detect if anything is really to do
  * use gzip -dc instead of zcat
  * make-fai-bootfloppy: do not copy /boot/System.map to floppy, new
    option -s
  * added prtnetgr; change netgroup example and script all_hosts to use it
  * fcopy: added debug message if executing postinst, ignore CVS
    directories, use File::Find, now sets envionment variables $target and
    $FAI_ROOT, bug fix in -d option, new options -L and -P,
  * KERNELVERSION not needed in fai.conf, now automaticly determined in
    make-fai-* scripts
  * FAI_FILES removed
  * Files added: THANKS, preinst, prtnetgr, pxelinux.cfg
  * Manual pages added fai-setup, install_packages, make-fai-bootfloppy,
    make-fai-nfroot
  * add use stict pragma for perl scripts
  * add auto.master and auto.scratch config for kernel automounter
  * mkdebmirror: use passive ftp mode
  * added autofs to package_CONFIG/BEOWULF
  * debian/prerm: do nothing when upgrading package
  * scripts/fai-setup: determine loguserhome earlier (closes: #136851)
  * new standards version 3.5.6
  
 -- Thomas Lange <lange@debian.org>  Tue,  9 Apr 2002 18:29:15 +0200

fai (2.2.3) unstable; urgency=low

  * added ATOMCLIENT in disk_config
  * setup_harddisks detects harddisk even if no valid partition table is
    available
  * added dosfstools to nfsroot
  * added .rhosts for ATOMCLIENTS


=== debian/control ===
Source: fai
Section: admin
Priority: extra
Maintainer: Thomas Lange <lange@debian.org>
Standards-Version: 3.5.6
Build-Depends: debhelper, sp, debiandoc-sgml, tetex-bin, tetex-extra

Package: fai
Architecture: all
Depends: perl5, nfs-server, debootstrap
Recommends: fai-kernels, netboot, bootp | dhcp, tftpd, rsh-server, wget
Suggests: ssh
Description:  Fully Automatic Installation
 FAI is a non interactive system to install a Debian Linux operating
 system on a PC cluster. You can take one or more virgin PCs, turn on
 the power and after a few minutes Linux is installed, configured and
 running on the whole cluster, without any interaction necessary.
 Homepage: http://www.informatik.uni-koeln.de/fai

=== debian/rules ===
#!/usr/bin/make -f

DESTDIR=`pwd`/debian/fai
SHAREDIR = $(DESTDIR)/usr/share/fai

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=2

include VERSION

build: build-stamp
build-stamp:
	dh_testdir

# Add here commands to compile the package.
	$(MAKE) all

	touch build-stamp

clean:
	dh_testdir
#	dh_testroot
	rm -f build-stamp
	dh_clean
# Add here commands to clean up after the build process.
	-$(MAKE) clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
# Add here commands to install the package into debian/fai.
	$(MAKE) install DESTDIR=`pwd`/debian/fai


# Build architecture-independent files here.
binary-indep: build install
#	dh_testversion
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
#	dh_installexamples
#	dh_installmenu
	dh_installmanpages
#	dh_installinfo
	dh_undocumented
	dh_installchangelogs 
#	dh_link
	dh_compress -Xtemplates
	dh_fixperms
	chmod a+rx ${SHAREDIR}/templates/class/S[0-9]*.{sh,pl}
	chmod -R a+rx ${SHAREDIR}/templates/scripts/*
	chmod a+rx ${SHAREDIR}/utils/*
	chmod a+rx ${DESTDIR}/usr/lib/fai/sbin/rcS_fai
	perl -pi -e 's/FAIVERSIONSTRING/$(VERSIONSTRING)/' ${DESTDIR}/usr/share/doc/fai/README
	find ${DESTDIR} -name CVS |xargs rm -rf
# You may want to make some executables suid here.
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
binary-arch: build install

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## fai 2.5.4

=== Makefile ===
include VERSION

DESTDIR=$(shell pwd)/debian/fai
DEB_HOST_ARCH=$(MACHTYPE)
export DOCDIR = $(DESTDIR)/usr/share/doc/fai
LIBDIR = $(DESTDIR)/usr/lib/fai
SHAREDIR = $(DESTDIR)/usr/share/fai
SCRIPTSDIR = $(LIBDIR)/sbin
SCRIPTS = rcS_fai setup_harddisks faireboot dhclient-perl dhclient-script  device2grub
USRSBIN_SCRIPTS = make-fai-nfsroot make-fai-bootfloppy fai-setup fcopy ftar bootsector install_packages fai-chboot faimond
SBIN= fai-start-stop-daemon
USRBIN_SCRIPTS = fai-class fai-do-scripts
CONFDIR= $(SHAREDIR)/etc
CONFFILES= apt.conf dhclient.conf fai_modules_off
ADEXAMPLE=$(DOCDIR)/examples/advanced
SIEXAMPLE=$(DOCDIR)/examples/simple
libfiles=$(wildcard lib/[a-z]*)  # do not include CVS dir

# files with variable KERNLEVERSION in it; this string will be substituted
KVERSION_FILES =  $(DESTDIR)/etc/fai/fai.conf $(SIEXAMPLE)/class/DEFAULT.var $(SIEXAMPLE)/class/ATOMCLIENT.var

all:
	$(MAKE) -C doc all

clean:
	$(MAKE) -C doc clean

veryclean: clean
	$(MAKE) -f debian/rules clean

install: 
	$(MAKE) -C doc install
	-install -m755 $(libfiles) $(LIBDIR)
	cd scripts ; install $(SBIN) $(DESTDIR)/sbin
	cd scripts ; install $(USRSBIN_SCRIPTS) $(DESTDIR)/usr/sbin
	cd scripts ; install $(USRBIN_SCRIPTS) $(DESTDIR)/usr/bin
	cd scripts ; install $(SCRIPTS) $(SCRIPTSDIR)
	install -m755 share/subroutines* $(SHAREDIR)
	install -m644 share/Fai.pm $(DESTDIR)/usr/share/perl5/Debian
	cd conf ; install -m644 $(CONFFILES) $(CONFDIR)
	install -m644 conf/fai.conf conf/sources.list $(DESTDIR)/etc/fai/
	cp -a examples $(DOCDIR)
	cp -a utils $(DOCDIR)/examples
	cp -a templates/* $(DOCDIR)/examples/advanced
	cd $(DOCDIR)/examples/advanced/scripts ; mv DEFAULT1 DEFAULT
	perl -pi -e 's/_KERNELVERSION_/$(KERNELVERSION)/' $(KVERSION_FILES)
	perl -pi -e 's/FAIVERSIONSTRING/$(VERSIONSTRING)/' $(SCRIPTSDIR)/rcS_fai

.PHONY: clean veryclean

=== doc/Makefile ===
--- 
+++ 
@@ -30,14 +30,15 @@
 	nsgmls -wall -E20 -gues $(fdocname)
 
 clean:
-	rm -rf $(docname).txt $(docname).dvi $(docname).pdf $(docname).html $(docname).sasp *~ $(docname).texinfo $(docname).ps
+	rm -rf $(docname).txt $(docname).dvi $(docname).pdf $(docname).html $(docname).sasp* *~ $(docname).texinfo $(docname).ps $(docname).out $(docname).tpt $(docname).tex
 
 print: dvi
 	dvips -f $(docname) | lpr
 
 install:
-	cp -dRp $(FILES) $(docname)* $(DESTDIR)/$(DOCDIR)
-	cp -p $(MISC_DOC) $(DESTDIR)/$(DOCDIR)
+	rm $(docname).tpt $(docname).out || true
+	cp -dRp $(FILES) $(docname)* $(DOCDIR)
+	cp -p $(MISC_DOC) $(DOCDIR)
 
 all: test pdf text html postscript

=== debian/changelog ===
fai (2.5.4) unstable; urgency=low

  * DEFAULT/S01,S20: add async option to export lines
  * fai-guide.sgml: add info how to boot a SUN Sparc, add URL for Sparc
  * make-fai-nfsroot: add gnu-efi and silo to arch package lists, add
    sparc64 arch, ppc arch uses vmlinux not vmlinuz
  * make-fai-bootfloppy: create and use device.map for grub_floppy
    (closes: #233018), remove unused ip entry for fixed ip addresses,
    create iso9660 iso image with option -i
  * make-fai-bootfloppy.8: add option -i and an example for creating a
    cdrom image
  * rcS_fai: add prcopyleft() and fstart(), use mkfifo and tee instead of
    bash special >(), mount sysfs if available
  * doc/README.disk_config: add info about lazyformat
  * THANKS: added holger
  
 -- Thomas Lange <lange@debian.org>  Thu, 26 Feb 2004 17:07:31 +0100

fai (2.5.3) unstable; urgency=low

  * make-fai-bootfloppy: call grub in chroot environment, so correct libc
    is used, add option c and F, DHCP is now default boot protocol, be
    more verbose
  * make-fai-nfsroot: add option c which sets $cfdir (closes: 219824)
    add variable nfssize, remove package strace, check if $NFSROOT is set,
    mkdir $RUNDIR is not need any more, use $cfdir instead of fixed
    /etc/fai, do not copy fai-chboot to nfsroot, call certain commands in
    a LC_ALL=C environment, add more verbose messages, new options for
    mknbi-linux call (closes: #181393), test if FAI_SOURCES_LIST is
    defined or a sources.list file exists, be verbose when copying
    important files if option -v is set
    depmod -a ... || true so it does not stop the whole system
  * debian/control: replace netboot package with mknbi
  * debian/dirs: add var/run/fai, remove unused directory utils
  * debian/prerm: check if $NFSROOT is set, sleep 2 before removing nfsroot
  * man/make-fai-bootfloppy.8: add new options F and c
  * man/make-fai-nfsroot.8: add new option c
  * lib/task_sysinfo: show ide disk geometry
    remove detect call
    most text reformated, because subroutine definition removed
  * doc/Makefile: remove some new tempfiles, add "|| true" to rm so it
    does not complain
  * fai-chboot: add option -S, complain when host names are missing for
    option -r
  * fai.conf: add packages to the exclude list for debootstrap
    new name for KERNELPACKAGE
    add comment how to use NFSROOT_ETC_HOSTS (closes: #219433)
    remove FAI_SOURCES_LIST examples, use sources.list instead
    disable FAI_LOCAL_REPOSITORY by default
    put important variables to the top
  * examples/etc/sources.list: new file, that shows examples of different
    access method to the Debian mirror
  * fai-guide.sgml: describe new handling of sources.list, add manref to
    make-fai-nfsroot, new line for tftpd in inetd.conf, add info on use
    without DNS
  * class/06hwdetect.source: modprobe ide-detect needed for 2.4.24 kernel,
    remove ide-probe-mod, add isa-pnp
  * lib/get-boot-info: new code to extract ip parameters, fix problems
    when one parameter is missing
  * share/subroutines: islinux() not needed any more, task_chboot: always
    copy new kernel image to /boot/fai/$HOSTNAME-localboot
  * apt.conf: replace values yes with true
  * rcS_fai: new code for task action pipe at the end, new mount option
    for remounting /dev/root, copyright has one line less
  * examples/etc/dhcpd.conf: new example for a local 192.168.1 subnet, add
    nfs mount options to root-path
  * VERSION: default is kernel 2.4.24
  * chkdebnames: most parts rewritten
  * setup_harddisks: typos
  
 -- Thomas Lange <lange@debian.org>  Wed,  4 Feb 2004 14:42:40 +0100

fai (2.5.2) unstable; urgency=low

  * rcS_fai: print copyright message in red, set scroll region, add
    actimeo for nfs mounts
  * fai.conf: add exim4 packages to exlude list
  * make-fai-nfsroot: add netcat to nfsroot; remove libdetect0 from
    package list (closes: #219420), copy preferences from /etc/fai
    (closes: 219824), use apt-get dist-upgrade instead of upgrade,
    do not create base.tgz in $NFSROOT/.. and then move file
  * setup_harddisks: add -f tp mkfs.xfs option (closes: #219439)
  * faimond, faimond.8 added
  * subroutines-linux: add sndmon subroutine, try to connect faimond, on
    success, enable monitor feature, test if $ret is empty, make it a bash
    script, show nc output only when debugging
  * fai-guide.sgml: typo in URL
  * class/01alias: use other IP-addresses for exmaples
  * lib/fai-mount-disk: extend regex to support devfs names
    (closes: #218541)
  * scripts/DEFAULT/S01: create S61hdparm if $hdparm is not empty,
    set cdromdevice to SCSI if available, add code for lprng setup if
    NISLPRCLIENT and LPD
  * class/LAST.var: do not set a default value for FAI_ACTION, change in
    comment
  * add postrm file to remove all files when purging
  * subroutines: add sndmon messages, script should be bash script, change
    debug code in ifclass
  * install_packages: remove pinning info before checking for misspelt
    package name
  * fai-setup: chown of /boot/fai
  * utils/softupdate, lib/prepare_apt: use dist-upgrade
  * debian/compat created and debian/conffiles removed
  * scripts/DEFAULT1/S20: add noatime,actimeo=900 options, add linux logo
    to login messages
  * sunos/makefile: add fai-savelog to solaris tarball
  * hooks/savelog.LAST: added "unexpected IO-APIC" to ignore pattern
  * Fai.pm: test if /var/adm/messages exists
  * lib/task_sysinfo: add dmidecode call, add sfdisk -d call, change fdisk
    call
  
 -- Thomas Lange <lange@debian.org>  Tue,  6 Jan 2004 15:20:10 +0100

fai (2.5.1) unstable; urgency=low

  * share/subroutines: use $SECONDS instead of date +%s
  * fcopy: add usage info for -M
  * add chapter "advanced FAI" to fai guide
  * dhcclient-perl: add new names to mapping table
  * lib/create_ramdisk: start devfsd if needed
  * share/subroutines-linux: task_chboot should return, not exit; copy
    initrd.img to install server if needed for the kernel


=== debian/control ===
Source: fai
Section: admin
Priority: extra
Maintainer: Thomas Lange <lange@debian.org>
Standards-Version: 3.5.6
Build-Depends-Indep: debhelper, sp, debiandoc-sgml, tetex-bin, tetex-extra

Package: fai
Architecture: all
Depends: perl, nfs-server, debootstrap
Recommends: fai-kernels, dhcp3 | bootp, tftpd-hpa | tftpd, rsh-server, wget, syslinux
Suggests: ssh, debmirror, mknbi
Description:  Fully Automatic Installation
 FAI is a non-interactive system to install a Debian GNU/Linux operating
 system unattended on a PC cluster. You can take one or more virgin
 PCs, turn on the power, and after a few minutes, Linux is installed,
 configured, and running on the whole cluster, without any interaction
 necessary.  Homepage: http://www.informatik.uni-koeln.de/fai

=== debian/rules ===
--- 
+++ 
@@ -2,12 +2,10 @@
 
 DESTDIR=`pwd`/debian/fai
 SHAREDIR = $(DESTDIR)/usr/share/fai
+DOCDIR=$(DESTDIR)/usr/share/doc/fai
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
-
-# This is the debhelper compatability version to use.
-export DH_COMPAT=2
 
 include VERSION
 
@@ -34,30 +32,27 @@
 	dh_clean -k
 	dh_installdirs
 # Add here commands to install the package into debian/fai.
-	$(MAKE) install DESTDIR=`pwd`/debian/fai
-
+	$(MAKE) install DESTDIR=${DESTDIR}
 
 # Build architecture-independent files here.
 binary-indep: build install
-#	dh_testversion
 	dh_testdir
 	dh_testroot
 #	dh_installdebconf	
 	dh_installdocs
 #	dh_installexamples
 #	dh_installmenu
-	dh_installmanpages
+	dh_installman man/*.[1-9]
 #	dh_installinfo
-	dh_undocumented
 	dh_installchangelogs 
 #	dh_link
-	dh_compress -Xtemplates
+	dh_compress -Xexamples -X.pdf
 	dh_fixperms
-	chmod a+rx ${SHAREDIR}/templates/class/S[0-9]*.{sh,pl}
-	chmod -R a+rx ${SHAREDIR}/templates/scripts/*
-	chmod a+rx ${SHAREDIR}/utils/*
+	chmod a+rx ${DOCDIR}/examples/*/class/[0-9][0-9]*
+	chmod -R a+rx ${DOCDIR}/examples/*/scripts/*
+	chmod a+rx ${DOCDIR}/examples/utils/*
 	chmod a+rx ${DESTDIR}/usr/lib/fai/sbin/rcS_fai
-	perl -pi -e 's/FAIVERSIONSTRING/$(VERSIONSTRING)/' ${DESTDIR}/usr/share/doc/fai/README
+	perl -pi -e 's/FAIVERSIONSTRING/$(VERSIONSTRING)/' ${DOCDIR}/README
 	find ${DESTDIR} -name CVS |xargs rm -rf
 # You may want to make some executables suid here.
 	dh_installdeb

## fai 2.6.5

=== Makefile ===
--- 
+++ 
@@ -7,17 +7,18 @@
 SHAREDIR = $(DESTDIR)/usr/share/fai
 SCRIPTSDIR = $(LIBDIR)/sbin
 SCRIPTS = rcS_fai setup_harddisks faireboot dhclient-perl dhclient-script  device2grub
-USRSBIN_SCRIPTS = make-fai-nfsroot make-fai-bootfloppy fai-setup fcopy ftar bootsector install_packages fai-chboot faimond
+USRSBIN_SCRIPTS = make-fai-nfsroot make-fai-bootfloppy fai-setup fcopy ftar install_packages fai-chboot faimond
 SBIN= fai-start-stop-daemon
 USRBIN_SCRIPTS = fai-class fai-do-scripts
 CONFDIR= $(SHAREDIR)/etc
 CONFFILES= apt.conf dhclient.conf fai_modules_off
 ADEXAMPLE=$(DOCDIR)/examples/advanced
 SIEXAMPLE=$(DOCDIR)/examples/simple
+BEOEXAMPLE=$(DOCDIR)/examples/beowulf
 libfiles=$(wildcard lib/[a-z]*)  # do not include CVS dir
 
 # files with variable KERNLEVERSION in it; this string will be substituted
-KVERSION_FILES =  $(DESTDIR)/etc/fai/fai.conf $(SIEXAMPLE)/class/DEFAULT.var $(SIEXAMPLE)/class/ATOMCLIENT.var
+KVERSION_FILES =  $(DESTDIR)/etc/fai/make-fai-nfsroot.conf $(SIEXAMPLE)/class/DEFAULT.var $(BEOEXAMPLE)/class/ATOMCLIENT.var
 
 all:
 	$(MAKE) -C doc all
@@ -39,6 +40,7 @@
 	install -m644 share/Fai.pm $(DESTDIR)/usr/share/perl5/Debian
 	cd conf ; install -m644 $(CONFFILES) $(CONFDIR)
 	install -m644 conf/fai.conf conf/sources.list $(DESTDIR)/etc/fai/
+	install -m600 conf/make-fai-nfsroot.conf $(DESTDIR)/etc/fai/
 	cp -a examples $(DOCDIR)
 	cp -a utils $(DOCDIR)/examples
 	cp -a templates/* $(DOCDIR)/examples/advanced

=== debian/changelog ===
fai (2.6.5) unstable; urgency=medium

  * install_packages: bug fix. Do not remove package names which are
    search patterns for aptitude, read /etc/fai/install_packages.conf if
    it exists 
  * hooks/savelog.LAST: add patterns that will be ignored
  * fcopy: add support for svn and arch, add option -I, use variable
    $FCOPY_IGNOREDIRS if set
  * fcopy.8: add option -I

 -- Thomas Lange <lange@debian.org>  Thu, 11 Nov 2004 15:14:08 +0100

fai (2.6.4) unstable; urgency=medium

  * add missing Beowulf examples
  * fai-guide.sgml: fix error in link
  * fai-start-stop-daemon: add short options, because so some init.d
    scripts use them
  * rcS_fai: do not use -t when remounting
  * make-fai-nfsroot: print error when $KERNELPACKAGE is not found, add a
    package for alpha architecture
  * share/subroutines: do not dump variable $HOME and $PWD to variables.sh
  * doc/QUESTIONNAIRE: typos, add example for answer
  * install_packages: use warn instead of print for warning and verbose
    messages, add aptitude support
  * Fai.pm: add () to subroutine calls
  * prerm: do not exit when nfs server reload fails (closes: #279024)
  * setup_harddisks: add $devdisklist to call of sfdisk (closes: #276033)
  * preparte_apt: divert programs before calling apt-get update
  * subroutines-linux: redirect stdin of install_packages unless in debug
    mode (closes: #264727)

 -- Thomas Lange <lange@debian.org>  Mon,  8 Nov 2004 14:38:58 +0100

fai (2.6.3) unstable; urgency=high

  * subroutines: remove $rootpw from variables.sh (closes: #270871)
  * update to kernel 2.4.27
  * make-fai-nfsroot: force link creation of ifstate (closes: #270463),
    use /etc/shadow in $NFSROOT
  * make-fai-makefsroot.conf: add xfsprogs and xfsdump packages, adjust
    size, install with chmod 0600 (closes: #270666, #271113)
  * DEFAULT/S10: removed: add auto to /etc/modules
  * class/DEFAULT.var: use single quotes instead of double quotes,
    $kappend contains kernel parameters, new default kernel package
    kernel-image-2.4.27-1-386
  * scripts/DEFAULT/S20: remove unused action
  * packages_config/DEFAULT: add iproute to NETTOOLS
  * make-fai-nfsroot.8: add info about make-fai-nfsroot.conf,
    add option -K which first removes all kernels from nfsroot
    (make-fai-bootlfoppy is broken if multiple kernels are in the nfsroot)
  * fai-setup: add option -e which does not set up nfs environment, which
    may hang some production systems for a while
  * fai-setup.8: add info for new option
  * Makefile: install make-fai-nfsroot.conf with 0600

 -- Thomas Lange <lange@debian.org>  Mon, 13 Sep 2004 18:40:36 +0200

fai (2.6.2) unstable; urgency=high

  * install_packages: fix broken taskinst action, workaround for new
    tasksel behaviour
  * DEFAULT/S10: fix broken grub entry for FAI_BOOTPART when two kernels
    are in the nfsroot
  * fai-chboot: add option -e the opposite of -r, uses nearly the same code

 -- Thomas Lange <lange@debian.org>  Thu, 26 Aug 2004 20:09:15 +0200

fai (2.6.1) unstable; urgency=medium

  * catnc() greps through more than one file
  * changlog messages of fai-setup moved from 2.5.2 to 2.6
  * hooks/savelog.LAST: add package names which include the string "error"
    as ignorepatterns
  * make-fai-nfsroot.conf: add portmap again, since nis setup needs it
  * make-fai-nfsroot: add option -k which installs a new kernel for the
    nfsroot (closes: #256187), /root/.profile sources variables.sh, test
    if $NFSROOT/prco/self exists before umount, kernel_install() includes
    all code for installing the kernel, create dir $NFSROOT/var/state only
    when not already existing, call umount_dirs and reset trap exit for
    normal finishing script
  * control: recommends dhcp3-server (closes: #263260), update to
    standards 3.6.1, remove sp from build-depends
  * rcsfai.var is not needed any more
  * share/subroutines: do not dump readonly variables to variables.sh
  * faireboot: make it a bash script, source variables.sh, source
    subroutines, send message to faimond
  * fai-divert: do not execute if dpkg-divert is not available
  * install_pacakges: add support for tasksel remove, set default number
    of packages from 4711 to 99
  * package_config/COMPILE: replace task c-dev by list of packages names
  * prepare_apt: make diversion of invoke-rc.d
  * rules: call dh_clean after make clean
  * prerm: test if $nfsserver is empty (closes: #263906)
  * NETWORK/S40: remove /etc/hosts from fcopy list
  * DEFAULT/S20: add async to export options
  * fai-savelog: define $HOSTNAME to output of command hostname
  * subroutines-linux: task_chboot() use `hostname` instead of $HOSTNAME,
    sndmon() use $sndhostname instead of $HOSTNAME
  * remove doc/README.package_problems
  * fai-guide.sgml: add hint about dhcpd/nfsroot (closes: #264486), fix
    typos

 -- Thomas Lange <lange@debian.org>  Mon,  9 Aug 2004 14:02:13 +0200

fai (2.6) unstable; urgency=low

  * fai-setup: fix hostname detection when hostname includes a dash -,
    pass all fai-setup options to make-fai-nfsroot (closes: #255830)
  * fai.conf: move make-fai-nfsroot specific variables to make-fai-nfsroot.conf
  * fix typo in lib/get-boot-info (closes: #242739, #239405)
  * fix link in fai-guide.sgml (closes: #237794)
  * fix typo in make-fai-bootfloppy.8 (closes: #238608)
  * make-fai-bootfloppy: change lilo labels in (closes: #248955),
    check if -s option is IP-address or hostname, new path for stage
    files, remove install= line for lilo.conf, newer lilo does not need
    boot-menu.b, added support for old an new lilo
  * make-fai-nfsroot: add package dmidecode for some archs, add
    module-init-tools, libapt-pkg-perl, smartmontools, usbutils, lvm2,
    raidtools2, hwinfo, remove portmap package, jove to nfsroot, do not
    copy bootsector, use mkelf-linux,
    new code for creating timezone and localtime (closes: #201440), always
    show $NFSROOT when copying verbosely, insert newline before adding


=== debian/control ===
--- 
+++ 
@@ -2,13 +2,13 @@
 Section: admin
 Priority: extra
 Maintainer: Thomas Lange <lange@debian.org>
-Standards-Version: 3.5.6
-Build-Depends-Indep: debhelper, sp, debiandoc-sgml, tetex-bin, tetex-extra
+Standards-Version: 3.6.1
+Build-Depends-Indep: debhelper, debiandoc-sgml, tetex-bin, tetex-extra
 
 Package: fai
 Architecture: all
 Depends: perl, nfs-server, debootstrap
-Recommends: fai-kernels, dhcp3 | bootp, tftpd-hpa | tftpd, rsh-server, wget, syslinux
+Recommends: fai-kernels, dhcp3-server | bootp, tftpd-hpa | tftpd, rsh-server, wget, syslinux
 Suggests: ssh, debmirror, mknbi
 Description:  Fully Automatic Installation
  FAI is a non-interactive system to install a Debian GNU/Linux operating

=== debian/rules ===
--- 
+++ 
@@ -22,9 +22,9 @@
 	dh_testdir
 #	dh_testroot
 	rm -f build-stamp
-	dh_clean
 # Add here commands to clean up after the build process.
 	-$(MAKE) clean
+	dh_clean
 
 install: build
 	dh_testdir
@@ -47,7 +47,7 @@
 	dh_installchangelogs 
 #	dh_link
 	dh_compress -Xexamples -X.pdf
-	dh_fixperms
+	dh_fixperms -X make-fai-nfsroot.conf
 	chmod a+rx ${DOCDIR}/examples/*/class/[0-9][0-9]*
 	chmod -R a+rx ${DOCDIR}/examples/*/scripts/*
 	chmod a+rx ${DOCDIR}/examples/utils/*

## fai 2.8.4

=== debian/changelog ===
fai (2.8.4) unstable; urgency=high

  * fix important bug: remove non-US entry (closes: #310392)
  * package_config: remove nonfree package t1-xfree86-nonfree from
    examples (closes: #310705)

 -- Thomas Lange <lange@debian.org>  Wed, 25 May 2005 13:59:39 +0200

fai (2.8.3) unstable; urgency=high

  * fix a serious bug, remove debconf support (closes: #309209), debconf
    support may be included again after sarge
  * fix important bug, do not delete files in /etc/fai (closes: #309707)
  * control: remove dependency on debconf
  * postinst, postrm: remove debconf code
  * rules: do not call dh_installdebconf
  * remove debian/config, debian/template
  * remove files in debian/po: POTFILES.in de.po fr.po templates.pot
  * fai.conf: set placeholder for installserver, since debconf will not
    set it any more
  * conf/make-fai-nfsroot.conf, conf/sources.list: use ftp.debian.org
    instead of debconf's default values
  * man/fai-chboot.8: minor document patch (closes: #309138, 309142)
  * fai-guide.sgml: minor document patch, move section "For the impatient
    user" to the front (closes: #309134, #309556) 
  * README.build-sources: add memo to use -ICVS in the future

 -- Thomas Lange <lange@debian.org>  Thu, 19 May 2005 15:54:18 +0200

fai (2.8.2) unstable; urgency=high

  * remove old unused scripts from cvs source
  * updatebase: use mktemp for creating temp file, this closes a serious
    security bug (closes: #307838)
  * fai: create dir only during initial installation, fixes a critical bug
    (closes: #307632)
  * subroutines-linux: do not "mount --bind" when FAI_ROOT=/, closes
    important bug (closes: #307631)

 -- Thomas Lange <lange@debian.org>  Fri,  6 May 2005 09:23:34 +0200

fai (2.8.1) unstable; urgency=low

  * only minor bug fixes, no major changes to the code, but a lot of them
  * make-fai-bootfloppy: add missing $ to variable (closes: #304824)
  * install_packages: add missing aptitude-r call (closes: #305544), 
    add $qopt and $devnull, used when install_packages is called with
    verbose from fai-mirror
  * fai-mirror: fix wrong path (closes: #304179), remove needless test if
    mkinitrd-cd is available, add $qflag, return if $pkglist is empty, not
    when $addpackages is empty
  * fai: added $COLOR_FAI_LOGO, which is off when doing softupdate
  * fai-cd: add test if mkinitrd-cd is available
  * fai-savelog: set FAI_ACTION to noaction if undef (closes: #305283)
  * savelog.LAST: add error message to global pattern
  * make-fai-nfsroot.conf: remove --arch i386, since debootstrap now uses
    dpkg --print-installation-architecture instead of another call which
    needed gcc, change comment
  * make-fai-nfsroot: split i386 and amd64 packages list, remove packages
    from amd64 which are not available (closes: #306264)
  * menu.lst/postinst: use BOOT_PARTITION instead of ROOT_PARTITION
    (closes: 305861)
  * install_packages.8: remove option -f
  * make-fai-nfsroot.8: remove wrong information (closes: #304980)
  * control: add grub to suggests
  * rules: make hooks and postinst script executable
  * FAIBASE/10-misc: do not call tune2fs when using 2.6 kernel. This may
    hang the system
  * fr.po: added french debconf templates (closes: #306232)
  * de.po, templates.pot: remove fuzzy lines
  * README.disk_config: add notes about boot option
  * debian/postinst: replace sed -i with perl -pi -e since old sed does
    not support -i
  * fai-setup: change informational message
  * fai-mount-disk: mount file systems read only
  * 50-host-classes: move host specific class definitions to new script
  * fai-guide.sgml: fix typos and other minor mistakes

 -- Thomas Lange <lange@debian.org>  Sat, 30 Apr 2005 21:20:53 +0200

fai (2.8) unstable; urgency=high

  * remove ext2resize from $packages (closes: #303565)
  * major rewrite of simple examples (closes: #290554)
  * make-fai-nfsroot.8: add info about nfsroot location (closes: #303915)
  * fai-guide.sgml: major update for new release
  * setup_harddisks: add support for device names disk1 and disk2,
    reformat some output, print some messages only if $verbose is set
  * rcS_fai: renamed to fai, add manual page fai.8
  * fai: add $rundir, remove unused dirs at the end, call set_disk_info
    before task_defvar, add variable $DO_INIT_TASK, add code for
    softupdate support, rename rcS.log to fai.log, add copyright message
    to usage(), add option -N --new, always test $DO_INIT_TASKS with -eq
  * apt.conf: replace force-confnew with force-confdef
  * make-fai-nfsroot: use dpkg --print-installation-architecture instead
    off uname -m, add arch dependent package name to, remove "" for
    matching * in KERNELPACKAGE, test if $KERNELPACKAGE is empty
    $NFSROOT/var/tmp/packages.arch, use shadowconfig instead of pwconv
  * make-fai-nfsroot.conf: comment FAI_LOCAL_REPOSITORY, set FAICLIENTS to
    local class-C network, remove ext2resize until available again
  * subroutines: add task softupdate, add support for softupdate, add
    $DO_INIT_TASKS, minor changes in get_fai_cvs(), use swapoff -a for
    disabling swap partitions, test $DO_INIT_TASK always with -eq, use
    /var/log/fai/FAI_CLASSES
  * subroutines-linux: script prepare_apt is now updatebase, add support
    for softupdates, add task_prepareapt, sliently skip task_chboot if
    LOGUSER is undefined, $disklist now sorted, print setup_hardisks
    output also to console
  * install_packages: cleanup of multiple packages with different
    install/remove operations, add installable(), check if a package is
    listed in a package index and not only in the dpkg database, add
    force-confdef and force-confold to apt-get, install_packages.conf
    unused, remove -f, sub read_config_file
  * fai-do-scripts: now executing scripts matching [0-9[0-9]*, S[0-9]*
    also supported for backwards compatibility
  * fai-mirror: add check if mkinitrd-cd and apt-move are installed, arch
    dependent packages defined in make-fai-nfsroot, replace sed with bash


=== debian/rules ===
--- 
+++ 
@@ -50,8 +50,9 @@
 	dh_fixperms -X make-fai-nfsroot.conf
 	chmod a+rx ${DOCDIR}/examples/*/class/[0-9][0-9]*
 	chmod -R a+rx ${DOCDIR}/examples/*/scripts/*
+	chmod a+rx ${DOCDIR}/examples/*/hooks/*
+	find ${DOCDIR}/examples/*/files -name postinst | xargs chmod a+x
 	chmod a+rx ${DOCDIR}/examples/utils/*
-	chmod a+rx ${DESTDIR}/usr/lib/fai/sbin/rcS_fai
 	perl -pi -e 's/FAIVERSIONSTRING/$(VERSIONSTRING)/' ${DOCDIR}/README
 	find ${DESTDIR} -name CVS |xargs rm -rf
 # You may want to make some executables suid here.

## fai 2.8.4sarge1

=== Makefile ===
include VERSION

DESTDIR=$(shell pwd)/debian/fai
DEB_HOST_ARCH=$(MACHTYPE)
export DOCDIR = $(DESTDIR)/usr/share/doc/fai
LIBDIR = $(DESTDIR)/usr/lib/fai
SHAREDIR = $(DESTDIR)/usr/share/fai
SCRIPTSDIR = $(LIBDIR)/sbin
SCRIPTS =  setup_harddisks faireboot dhclient-perl dhclient-script
USRSBIN_SCRIPTS = make-fai-nfsroot make-fai-bootfloppy fai-setup fcopy ftar install_packages fai-chboot faimond fai-cd fai
SBIN= fai-start-stop-daemon
USRBIN_SCRIPTS = fai-class fai-do-scripts fai-mirror fai-debconf
CONFDIR= $(SHAREDIR)/etc
CONFFILES= apt.conf dhclient.conf fai_modules_off
ADEXAMPLE=$(DOCDIR)/examples/advanced
SIEXAMPLE=$(DOCDIR)/examples/simple
BEOEXAMPLE=$(DOCDIR)/examples/beowulf
libfiles=$(wildcard lib/[a-z]*)  # do not include CVS dir

# files with variable KERNLEVERSION in it; this string will be substituted
KVERSION_FILES =  $(DESTDIR)/etc/fai/make-fai-nfsroot.conf

all:
	$(MAKE) -C doc all

clean:
	$(MAKE) -C doc clean

veryclean: clean
	$(MAKE) -f debian/rules clean

install: 
	$(MAKE) -C doc install
	-install -m755 $(libfiles) $(LIBDIR)
	-install -m755 scripts/device2grub $(LIBDIR)
	cd scripts ; install $(SBIN) $(DESTDIR)/sbin
	cd scripts ; install $(USRSBIN_SCRIPTS) $(DESTDIR)/usr/sbin
	cd scripts ; install $(USRBIN_SCRIPTS) $(DESTDIR)/usr/bin
	cd scripts ; install $(SCRIPTS) $(SCRIPTSDIR)
	install -m755 share/subroutines* $(SHAREDIR)
	install -m644 share/Fai.pm $(DESTDIR)/usr/share/perl5/Debian
	cd conf ; install -m644 $(CONFFILES) $(CONFDIR)
	install -m644 conf/menu.lst conf/sources.list $(DESTDIR)/etc/fai/
	install -m644 conf/fai.conf conf/sources.list $(DESTDIR)/etc/fai/
	install -m600 conf/make-fai-nfsroot.conf $(DESTDIR)/etc/fai/
	cp -a examples $(DOCDIR)
	cp -a utils $(DOCDIR)/examples
	cp -a templates/* $(DOCDIR)/examples/advanced
	cd $(DOCDIR)/examples/advanced/scripts ; mv DEFAULT1 DEFAULT
	cd $(DOCDIR)/examples/simple/scripts ; mv LAST1 LAST
	perl -pi -e 's/_KERNELVERSION_/$(KERNELVERSION)/' $(KVERSION_FILES)
	perl -pi -e 's/FAIVERSIONSTRING/$(VERSIONSTRING)/' $(DESTDIR)/usr/sbin/fai

.PHONY: clean veryclean

=== doc/Makefile ===
--- 
+++ 
@@ -1,4 +1,3 @@
-FILES = fai-guide.sgml common.ent
 docname = fai-guide
 fdocname = $(docname).sgml
 MISC_DOC = FAQ QUESTIONNAIRE classes_description.txt links.html changelog.old README*
@@ -37,7 +36,7 @@
 
 install:
 	rm $(docname).tpt $(docname).out || true
-	cp -dRp $(FILES) $(docname)* $(DOCDIR)
+	cp -dRp $(docname)* $(DOCDIR)
 	cp -p $(MISC_DOC) $(DOCDIR)
 
 all: test pdf text html postscript

=== debian/changelog ===
fai (2.8.4sarge1) stable; urgency=medium

   * closes three important bugs
   * /debian/rules: ignore .svn directories
   * fai-cd: fixed hardcoded sources.list for the install client to be
     generated, code by Michael Tautschnig (closes: #320024) and at least
     partially #329547 
   * install_packages: ignore packages ending with - when using -d
     (closes: 334333)
   * lib/create_ramdisk: make /etc/network/run/ifstate writable
     (closes: #312128) 

 -- Thomas Lange <lange@debian.org>  Wed,  4 Jan 2006 13:29:39 +0100

=== debian/control ===
Source: fai
Section: admin
Priority: extra
Maintainer: Thomas Lange <lange@debian.org>
Standards-Version: 3.6.1
Build-Depends-Indep: debhelper (>= 4.1.16), debiandoc-sgml, tetex-bin, tetex-extra

Package: fai
Architecture: all
Depends: perl, libapt-pkg-perl
Recommends: debootstrap, nfs-kernel-server | nfs-server, fai-kernels, dhcp3-server | bootp, tftpd-hpa | tftpd, rsh-server, wget, syslinux
Suggests: ssh, debmirror, mknbi, apt-move, mkinitrd-cd, grub
Description:  Fully Automatic Installation
 FAI is a non-interactive system to install a Debian GNU/Linux operating
 system unattended on a PC cluster. You can take one or more virgin
 PCs, turn on the power, and after a few minutes, Linux is installed,
 configured, and running on the whole cluster, without any interaction
 necessary.  Homepage: http://www.informatik.uni-koeln.de/fai

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,9 @@
 DESTDIR=`pwd`/debian/fai
 SHAREDIR = $(DESTDIR)/usr/share/fai
 DOCDIR=$(DESTDIR)/usr/share/doc/fai
+
+# we never want CVS and subversion files in our packages
+export DH_ALWAYS_EXCLUDE=CVS:.svn
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
